Bug 256408 - Bookmark Editor crashes when move all bookmarks to another folder
Summary: Bookmark Editor crashes when move all bookmarks to another folder
Status: RESOLVED DUPLICATE of bug 287038
Alias: None
Product: keditbookmarks
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash with 1 vote (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
: 302722 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-11-09 01:40 UTC by Dave Burkholder
Modified: 2013-07-07 18:12 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (10.20 KB, text/plain)
2013-05-12 14:56 UTC, Daniel (DJ Sikora) Blair
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Burkholder 2010-11-09 01:40:11 UTC
Application: keditbookmarks (4.5.1 (KDE 4.5.1))
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.6.3
Operating System: Linux 2.6.34.7-0.3-desktop x86_64
Distribution: "openSUSE 11.3 (x86_64)"

-- Information about the crash:
I selected all bookmarks in a subfolder (Ctrl+A) and dragged them to a new folder. POOF. Crash. Does it every time.

The crash can be reproduced some of the time.

-- Backtrace:
Application: Bookmark Editor (keditbookmarks), signal: Segmentation fault
[KCrash Handler]
#6  0x00007f1bf595ede2 in QDomElement::tagName() const () from /usr/lib64/libQtXml.so.4
#7  0x00007f1bf5c66928 in KBookmark::address() const () from /usr/lib64/libkio.so.5
#8  0x00007f1bf627b3a4 in KBookmarkModel::parent(QModelIndex const&) const () from /usr/lib64/libkbookmarkmodel_private.so.4
#9  0x00007f1bf3f1689f in QAbstractItemModelPrivate::rowsAboutToBeRemoved(QModelIndex const&, int, int) () from /usr/lib64/libQtCore.so.4
#10 0x00007f1bf3f17773 in QAbstractItemModel::beginRemoveRows(QModelIndex const&, int, int) () from /usr/lib64/libQtCore.so.4
#11 0x00007f1bf627ba18 in KBookmarkModel::removeBookmark(KBookmark) () from /usr/lib64/libkbookmarkmodel_private.so.4
#12 0x00007f1bf6276fda in CreateCommand::undo() () from /usr/lib64/libkbookmarkmodel_private.so.4
#13 0x00007f1bf6279a10 in DeleteCommand::redo() () from /usr/lib64/libkbookmarkmodel_private.so.4
#14 0x00007f1bf4ebd8a9 in QUndoCommand::redo() () from /usr/lib64/libQtGui.so.4
#15 0x00007f1bf6279cf9 in DeleteCommand::redo() () from /usr/lib64/libkbookmarkmodel_private.so.4
#16 0x00007f1bf62787cc in ?? () from /usr/lib64/libkbookmarkmodel_private.so.4
#17 0x00007f1bf4ebd8a9 in QUndoCommand::redo() () from /usr/lib64/libQtGui.so.4
#18 0x00007f1bf4ebee73 in QUndoStack::push(QUndoCommand*) () from /usr/lib64/libQtGui.so.4
#19 0x00007f1bf6276d06 in CommandHistory::addCommand(QUndoCommand*) () from /usr/lib64/libkbookmarkmodel_private.so.4
#20 0x00007f1bf627c6b5 in KBookmarkModel::dropMimeData(QMimeData const*, Qt::DropAction, int, int, QModelIndex const&) () from /usr/lib64/libkbookmarkmodel_private.so.4
#21 0x00007f1bf6815f55 in ?? () from /usr/lib64/libkdeinit4_keditbookmarks.so
#22 0x00007f1bf4d7d49e in QAbstractItemView::dropEvent(QDropEvent*) () from /usr/lib64/libQtGui.so.4
#23 0x00007f1bf48d8111 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#24 0x00007f1bf4c6a7d6 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#25 0x00007f1bf4d771c3 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#26 0x00007f1bf4db9392 in QTreeView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#27 0x00007f1bf3f1ffd7 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#28 0x00007f1bf48874a1 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#29 0x00007f1bf488fd3b in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#30 0x00007f1bf54b51e6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#31 0x00007f1bf3f1fe4c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#32 0x00007f1bf490cd91 in ?? () from /usr/lib64/libQtGui.so.4
#33 0x00007f1bf4911d10 in ?? () from /usr/lib64/libQtGui.so.4
#34 0x00007f1bf4911ec0 in ?? () from /usr/lib64/libQtGui.so.4
#35 0x00007f1bf3f1ff1b in QCoreApplicationPrivate::sendThroughApplicationEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#36 0x00007f1bf4887446 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#37 0x00007f1bf489034a in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#38 0x00007f1bf54b51e6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#39 0x00007f1bf3f1fe4c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#40 0x00007f1bf48891e5 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#41 0x00007f1bf49036c8 in ?? () from /usr/lib64/libQtGui.so.4
#42 0x00007f1bf4901e19 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#43 0x00007f1bf4928492 in ?? () from /usr/lib64/libQtGui.so.4
#44 0x00007f1bf0a0da93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#45 0x00007f1bf0a0e270 in ?? () from /usr/lib64/libglib-2.0.so.0
#46 0x00007f1bf0a0e510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#47 0x00007f1bf3f4867f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#48 0x00007f1bf492814e in ?? () from /usr/lib64/libQtGui.so.4
#49 0x00007f1bf3f1f292 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#50 0x00007f1bf3f1f495 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#51 0x00007f1bf4910560 in ?? () from /usr/lib64/libQtGui.so.4
#52 0x00007f1bf4899058 in QDrag::exec(QFlags<Qt::DropAction>, Qt::DropAction) () from /usr/lib64/libQtGui.so.4
#53 0x00007f1bf4d8272e in QAbstractItemView::startDrag(QFlags<Qt::DropAction>) () from /usr/lib64/libQtGui.so.4
#54 0x00007f1bf4d7e021 in QAbstractItemView::mouseMoveEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#55 0x00007f1bf48d7df0 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#56 0x00007f1bf4c6a7d6 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#57 0x00007f1bf4d771c3 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#58 0x00007f1bf4db9392 in QTreeView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#59 0x00007f1bf3f1ffd7 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#60 0x00007f1bf48874a1 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#61 0x00007f1bf489034a in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#62 0x00007f1bf54b51e6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#63 0x00007f1bf3f1fe4c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#64 0x00007f1bf48891e5 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#65 0x00007f1bf49036c8 in ?? () from /usr/lib64/libQtGui.so.4
#66 0x00007f1bf4901e19 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#67 0x00007f1bf4928492 in ?? () from /usr/lib64/libQtGui.so.4
#68 0x00007f1bf0a0da93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#69 0x00007f1bf0a0e270 in ?? () from /usr/lib64/libglib-2.0.so.0
#70 0x00007f1bf0a0e510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#71 0x00007f1bf3f4867f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#72 0x00007f1bf492814e in ?? () from /usr/lib64/libQtGui.so.4
#73 0x00007f1bf3f1f292 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#74 0x00007f1bf3f1f495 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#75 0x00007f1bf3f2388b in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#76 0x00007f1bf67ff67f in kdemain () from /usr/lib64/libkdeinit4_keditbookmarks.so
#77 0x00007f1bf64a1b7d in __libc_start_main () from /lib64/libc.so.6
#78 0x0000000000400699 in _start ()

Reported using DrKonqi
Comment 1 Andrea Scarpino 2011-11-10 21:47:07 UTC
Duplicate of BUG#258505
Comment 2 Jekyll Wu 2012-06-29 07:06:03 UTC
*** Bug 302722 has been marked as a duplicate of this bug. ***
Comment 3 Daniel (DJ Sikora) Blair 2013-05-12 14:56:52 UTC
Created attachment 79853 [details]
New crash information added by DrKonqi

keditbookmarks (4.9.5) on KDE Platform 4.9.5 using Qt 4.8.3

- What I was doing when the application crashed: Sorting/Re-Arranging Bookmarks in Chromium..

-- Backtrace (Reduced):
#7  0x00007f88b80c15fd in KBookmarkModel::removeBookmark(KBookmark) () from /usr/lib/libkbookmarkmodel_private.so.4
#8  0x00007f88b80bc8cb in CreateCommand::undo() () from /usr/lib/libkbookmarkmodel_private.so.4
#9  0x00007f88b80bf3da in DeleteCommand::redo() () from /usr/lib/libkbookmarkmodel_private.so.4
#10 0x00007f88b60a0990 in QUndoCommand::redo (this=0xc79670) at util/qundostack.cpp:208
#11 0x00007f88b80bf6d6 in DeleteCommand::redo() () from /usr/lib/libkbookmarkmodel_private.so.4
Comment 4 Christoph Feck 2013-07-07 18:12:34 UTC
This should be fixed with KDE 4.10.4, otherwise please reopen.

*** This bug has been marked as a duplicate of bug 287038 ***